
%define plugin	osdpip
%define name	vdr-plugin-%plugin
%define version	0.0.10
%define rel	1

Summary:	VDR plugin: OSD Picture-in-Picture
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.magoa.net/linux/
Source:		http://www.powarman.de/files/osdpip/vdr-%plugin-%version.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libffmpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
OSD Picture-in-Picture is a PlugIn that displays the current channel in a
small box on the screen (default upper right corner). You can switch up and
down now, watching the progress of the previous channel in the box.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

%build
# needed for build on 2008.1:
VDR_PLUGIN_FLAGS="%vdr_plugin_flags -I$(pkg-config --cflags libavcodec)"
%vdr_plugin_build \
%if %{mdkversion} >= 200900
	WITH_NEW_FFMPEG_HEADERS=1 # needed for build on 2009.0
%endif

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY TODO




%changelog
* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 205446
- new version
- use new WITH_NEW_FFMPEG_HEADERS instead of symlink hack
- update source url

* Tue Apr 29 2008 Anssi Hannula <anssi@mandriva.org> 0.0.9-1mdv2009.0
+ Revision: 198964
- new version
- drop all patches, fixed upstream
- new source url
- simplify description, it was partially obsolete

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-16mdv2009.0
+ Revision: 197957
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-15mdv2009.0
+ Revision: 197775
- fix build with recent ffmpeg
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- do not close on menu timeout (P2 from e-tobi)
- adapt for api changes of VDR 1.5.0 (P3 from e-tobi)
- fix build with recent ffmpeg

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.8-14mdv2008.1
+ Revision: 145157
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-13mdv2008.1
+ Revision: 103175
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-12mdv2008.0
+ Revision: 50025
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-11mdv2008.0
+ Revision: 42111
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.8-10mdv2008.0
+ Revision: 22763
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-9mdv2007.0
+ Revision: 90950
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-8mdv2007.1
+ Revision: 74063
- rebuild for new vdr
- Import vdr-plugin-osdpip

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.0.8-1mdv2007.0
- initial Mandriva release

